com.independentsoft.exchange

## Class InternetMessageHeader

- java.lang.Object
- - com.independentsoft.exchange.InternetMessageHeader

-     public class InternetMessageHeader
      extends java.lang.Object

  Represents the Internet message header for a given header within the headers collection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternetMessageHeader()` Initializes a new instance of the InternetMessageHeader class.
    `InternetMessageHeader(java.lang.String name, java.lang.String value)` Initializes a new instance of the InternetMessageHeader class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the header name.
    `java.lang.String` | `getValue()` Gets the Internet message header that are contained in an item in a mailbox.
    `void` | `setName(java.lang.String name)` Sets the header name.
    `void` | `setValue(java.lang.String value)` Sets the Internet message header that are contained in an item in a mailbox.
    `java.lang.String` | `toString()` Converts the value of the current InternetMessageHeader object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InternetMessageHeader

          public InternetMessageHeader()

      Initializes a new instance of the InternetMessageHeader class.

    - #### InternetMessageHeader

          public InternetMessageHeader(java.lang.String name,
                                       java.lang.String value)

      Initializes a new instance of the InternetMessageHeader class.
      Parameters:
        `name` - the name
        `value` - the value

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current InternetMessageHeader object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getName

          public java.lang.String getName()

      Gets the header name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the header name.
      Parameters:
        `name` - the new name

    - #### getValue

          public java.lang.String getValue()

      Gets the Internet message header that are contained in an item in a mailbox.
      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the Internet message header that are contained in an item in a mailbox.
      Parameters:
        `value` - the new value